This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 495741 - 855GM doesn't display resolutions > 1024x768 over DVI
855GM doesn't display resolutions > 1024x768 over DVI
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
12
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 11:10 EDT by Glen Gray
Modified: 2010-11-01 11:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-01 11:43:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Initial Xorg log (56.00 KB, text/plain)
2009-04-17 07:10 EDT, Glen Gray
no flags Details
Config file (3.93 KB, text/plain)
2009-04-17 07:13 EDT, Glen Gray
no flags Details
Debug xorg log (36.73 KB, text/plain)
2009-04-17 07:13 EDT, Glen Gray
no flags Details
Ignore LVDS and VGA (3.77 KB, patch)
2009-04-24 06:49 EDT, Glen Gray
no flags Details | Diff
Boot with drm.debug=1 (630.27 KB, text/plain)
2009-05-01 07:08 EDT, Glen Gray
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 21012 None None None Never

  None (edit)
Description Glen Gray 2009-04-14 11:10:39 EDT
Description of problem: 
Testing with an 855GM based embedded PC that connects over DVI. Can't seem to get the display over 1024x768 (either 1680x1050 or 1360x768 on HDTV)


Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.6.99.902-2.fc11.i586

How reproducible:
Always


Steps to Reproduce:
1.Install Fedora 11 Beta and upgrade to latest Rawhide rpms
2.Reboot while connected to DVI display that has a native resolution > 1024x768
3.
  
Actual results: 
End up with the display driven at the correct resolution but with a solid color displayed, either grey or blue, depending on what X is attempting to display I guess.


Expected results:
Should expect the resolution to be driven correctly

Additional info:
I'd already logged a bug against Xorg, 21012
Comment 1 Adam Williamson 2009-04-16 17:28:58 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Glen Gray 2009-04-17 06:29:01 EDT
Here's some further information, the freedesktop.org but mentioned in the original submission has some of this information too

Booting without an xorg.conf file results in the same problem. The output from xrandr in that case is as follows

[root@localhost X11]# DISPLAY=:0 xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 4096 x 4096
VGA1 unknown connection (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
LVDS1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0*+   60.0  
   800x600        60.3  
   640x480        59.9  
DVI1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 708mm x 398mm
   1280x768       60.0 +
   1360x768       60.0  
   1024x768       75.1     70.1     60.0* 
   800x600        72.2     75.0     60.3  
   640x480        72.8     75.0     60.0  
   720x400        70.1  
   0x0             0.0  

xwininfo is showing that the root window is indeed running at 1280x768. If I use xrandr to drop the resolution to 1024x768 then I get a clear desktop.

The only device connected is the DVI one.

If I boot up with nomodeset as a param, I get this from xrandr

[root@localhost ~]# DISPLAY=:0 xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1024 x 1024
VGA connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0* 
   800x600        60.3  
   640x480        59.9  
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0*+   85.0     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     72.8     75.0     59.9  
   720x400        85.0  
   640x400        85.1  
   640x350        85.1  
TMDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 708mm x 398mm
   1024x768       85.0     75.0     70.1     60.0* 
   800x600        85.1     72.2     75.0     60.3  
   640x480        85.0     75.0     72.8     59.9  
   720x400        70.1  

Again, I get the solid color display when X starts. However this time around, xwinifo seems to think that  it's running at 1024x768. If I use xrandr to turn off VGA and LVDS and then I set TMDS to 1024x768, I then get a clean picture.

I get similar issues if I use an Xorg config file that specifically turns off VGA and LVDS and points DVI to the actual active screen. I'll attach the output of Xorg log file with no config and then the output from when I do use an xorg.conf that has mode debug enabled. I'll also attach the xorg.conf
Comment 3 Glen Gray 2009-04-17 07:10:39 EDT
Created attachment 339992 [details]
Initial Xorg log

Initial Xorg.0.log when kms is active and there's no xorg.conf
Comment 4 Glen Gray 2009-04-17 07:13:04 EDT
Created attachment 339993 [details]
Config file

Xorg config that disables LVDS and VGA displays and enables mode debug
Comment 5 Glen Gray 2009-04-17 07:13:50 EDT
Created attachment 339994 [details]
Debug xorg log

Xorg log file after using the previously attached xorg.conf.
Comment 6 Adam Williamson 2009-04-17 13:03:36 EDT
Thanks, I think that should be enough info to start taking a run at this bug.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Glen Gray 2009-04-23 09:58:37 EDT
I did some poking around in the 2.7.0 driver to see if I could affect how this was happening. If I added a section to the i830_quirks.c file for my board then I was able to get the nomodeset version to boot up with a display that was visible (i.e. not a solid color).

Doing something similar in the i915 drm driver unfortunately didn't have the same effect. I added some checks to the intel_lvds as per the Fedora patch so that it did a dmi search on my board name and simply returned if matched. I ported this functionality over to the intel_crt.c file also. So ineffect I was able to ignore VGA and LVDS in the kernel drm driver. Unfortunately, this didn't result in any changes in the display, still getting the solid blue color for native res of the attached display.
Comment 8 Adam Williamson 2009-04-23 14:06:13 EDT
Maybe you could post the patches you used? Would be interesting to see. Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Glen Gray 2009-04-24 06:49:51 EDT
Created attachment 341143 [details]
Ignore LVDS and VGA

Updated the lvds patch to include a DMI change of my units BOARD_NAME and also copied the functionality over to the intel_crt.c file to get ignore VGA support.
Comment 10 Glen Gray 2009-05-01 07:08:19 EDT
Created attachment 342074 [details]
Boot with drm.debug=1

Updated my Fedora 11/Rawhide install to the latest from Rawhide, kernel 2.6.29-1.111. Booted with the drm.debug=1 and had rsyslog put kern.* in /var/log/kern.

SSH'd on and used grep "drm\|i915\|i2c" > drm_debug.log to create the attachment.
Comment 11 Bug Zapper 2009-06-09 09:48:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Warren Togami 2009-07-15 23:58:03 EDT
http://bugs.freedesktop.org/show_bug.cgi?id=21496
Similar issue upstream with 945 graphics.  Bogus LVDS1 causes issues.  Curiously UMS X.org didn't have any issue detecting that LVDS1 shouldn't exist or is disconnected.
Comment 13 Glen Gray 2009-09-11 13:04:00 EDT
As part of the Intel testing day I downloaded the live image and booted off my USB key.

The same problems seem to be present. VGA1 seems to be defaulted to even though no VGA device is connected. Changing the resolution via xrandr and turning off the VGA device still results in the display having a solid colour output. I've also managed to crash the box by using xrandr to change resolution, when in KMS mode.
Comment 15 Matěj Cepl 2009-11-05 12:12:52 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 16 Bug Zapper 2009-11-16 04:54:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Matěj Cepl 2010-02-26 07:25:07 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 18 Glen Gray 2010-02-26 07:49:59 EST
I'll try a fresh Fedora 12 installation with latest updates today.
Comment 19 Matěj Cepl 2010-05-10 10:40:49 EDT
(In reply to comment #18)
> I'll try a fresh Fedora 12 installation with latest updates today.    

Which day is today?
Comment 20 Glen Gray 2010-05-11 11:51:48 EDT
Yes, tried latest F12 and it was no better. I've also tested with Fedora 13 on the intel xorg test day. Logged a few bugs on that.

My test hardware is offsite and being used un a demo at the moment. I hope to get it back by the end of the week to further test with F13 codebase.

Note You need to log in before you can comment on or make changes to this bug.